## jablicator 1.0.1

=== Makefile ===
all:

test:
	./jablicator

clean:
	-debclean
	rm -rf jablicate*
	rm -rf dists pool
	rm -rf *~ */*~

## jablicator 1.0-5

=== debian/changelog ===
jablicator (1.0-5) unstable; urgency=low

  * Added optional versioning (closes #128744)
  * Made lintian happy.

 -- Jeff Breidenbach <jab@debian.org>  Sat, 19 Jan 2002 21:29:47 -0800

jablicator (1.0-4) unstable; urgency=low

  * Add security warnings
  * Fix documentation typos
  * Put sources.list in package description

 -- Jeff Breidenbach <jab@debian.org>  Tue,  11 Sep 2001 03:21:56 -0700

jablicator (1.0-3) unstable; urgency=low

  * More stupid bugs

 -- Jeff Breidenbach <jab@debian.org>  Tue,  4 Sep 2001 03:21:56 -0700

jablicator (1.0-2) unstable; urgency=low

  * Better cross checking with apt

 -- Jeff Breidenbach <jab@debian.org>  Tue,  4 Sep 2001 03:21:55 -0700

jablicator (1.0-1) unstable; urgency=low

  * Initial version

 -- Jeff Breidenbach <jab@debian.org>  Mon,  3 Sep 2001 03:21:55 -0700

=== debian/control ===
Source: jablicator
Section: admin
Priority: optional
Maintainer: Jeff Breidenbach <jab@debian.org>
Build-Depends-Indep: debhelper (>> 3.0.0), dpkg-dev, devscripts, fakeroot, lintian
Standards-Version: 3.5.2

Package: jablicator
Architecture: all
Depends: grep-dctrl, devscripts, debhelper (>> 3.0.0), dpkg-dev, fakeroot, lintian, apt, gawk
Description: Share a set of package choices
 Allows others to easily replicate your package choices via 
 Debian's apt-get utility. Generating an apt-gettable, custom debian 
 package, with the appropriate dependencies.

## jablicator 1.0-7

=== debian/changelog ===
jablicator (1.0-7) unstable; urgency=low

  * Workaround for non-internet machines (closes #245530)

 -- Jeff Breidenbach <jab@debian.org>  Mon, 10 May 2004 00:21:32 -0700

jablicator (1.0-6) unstable; urgency=low

  * Add some comments to code
  * Work around grep-dctrl bug (closes #222684)
  * Clarify user instruction (closes #170884)
  
 -- Jeff Breidenbach <jab@debian.org>  Mon,  1 Mar 2004 00:29:10 -0800

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Section: admin
 Priority: optional
 Maintainer: Jeff Breidenbach <jab@debian.org>
-Build-Depends-Indep: debhelper (>> 3.0.0), dpkg-dev, devscripts, fakeroot, lintian
-Standards-Version: 3.5.2
+Depends: debhelper (>> 3.0.0), dpkg-dev, devscripts, fakeroot, lintian
+Build-Depends-Indep: debhelper (>> 3.0.0)
+Standards-Version: 3.6.1
 
 Package: jablicator
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=3

configure: configure-stamp
configure-stamp:
	dh_testdir

	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	mkdir -p debian/tmp/usr/bin
	install jablicator debian/tmp/usr/bin
	dh_movefiles

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir -i
	dh_testroot -i
#	dh_installdebconf -i
	dh_installdocs -i
#	dh_installexamples -i
#	dh_installmenu -i
#	dh_installlogrotate -i
#	dh_installemacsen -i
#	dh_installpam -i
#	dh_installmime -i
#	dh_installinit -i
#	dh_installcron -i
	dh_installman -i jablicator.1
#	dh_installinfo -i
#	dh_undocumented -i
	dh_installchangelogs -i
	dh_link -i
#	dh_strip -i
	dh_compress -i
	dh_fixperms -i
#	dh_makeshlibs -i
	dh_installdeb -i
#	dh_perl -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary: binary-indep
.PHONY: build clean binary-indep binary install configure

## jablicator 1.0.1

=== debian/changelog ===
jablicator (1.0.1) unstable; urgency=low

  * Fix a bunch of lintian warnings
  * Fix some dependencies (closes: #395607)
  * Fix problem wth uppercase hostnames (closes: #447787)
  * Fix problem with package description (closes: #496689)
  * Add ability to act as recovery tool (closes: #150111)
  * Remove busted --versions command line flag. Sorry.
	
 -- Jeff Breidenbach <jab@debian.org>  Fri, 13 Feb 2009 23:33:01 -0800

=== debian/control ===
Source: jablicator
Section: admin
Priority: optional
Maintainer: Jeff Breidenbach <jab@debian.org>
Build-Depends: debhelper (>> 3.0.0)
Build-Depends-Indep: devscripts, fakeroot, lintian
Standards-Version: 3.8.0

Package: jablicator
Architecture: all
Depends: grep-dctrl, devscripts, debhelper (>> 3.0.0), dpkg-dev, fakeroot, lintian, apt, gawk
Description: Share a set of package choices
 Allows others to easily replicate your package choices via 
 Debian's apt-get utility. Generating an apt-gettable, custom Debian 
 package, with the appropriate dependencies.

=== debian/rules ===
--- 
+++ 
@@ -4,9 +4,6 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
-
-# This is the debhelper compatability version to use.
-export DH_COMPAT=3
 
 configure: configure-stamp
 configure-stamp:
@@ -36,6 +33,8 @@
 	mkdir -p debian/tmp/usr/bin
 	install jablicator debian/tmp/usr/bin
 	dh_movefiles
+
+binary-arch:
 
 # Build architecture-independent files here.
 binary-indep: build install

## jablicator 1.0.1ubuntu1

=== debian/changelog ===
jablicator (1.0.1ubuntu1) zesty; urgency=medium

  * debian/compat: Bump to 10.
  * debian/control:
    - Build-depend on debhelper (>= 10).
    - Depend on ${misc:Depends}.
  * debian/rules: Use dh_prep instead of dh_clean -k.

 -- Logan Rosen <logan@ubuntu.com>  Wed, 11 Jan 2017 00:11:37 -0500

=== debian/control ===
Source: jablicator
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Jeff Breidenbach <jab@debian.org>
Build-Depends: debhelper (>= 10)
Build-Depends-Indep: devscripts, fakeroot, lintian
Standards-Version: 3.8.0

Package: jablicator
Architecture: all
Depends: ${misc:Depends}, grep-dctrl, devscripts, debhelper (>> 3.0.0), dpkg-dev, fakeroot, lintian, apt, gawk
Description: Share a set of package choices
 Allows others to easily replicate your package choices via 
 Debian's apt-get utility. Generating an apt-gettable, custom Debian 
 package, with the appropriate dependencies.

=== debian/rules ===
--- 
+++ 
@@ -27,7 +27,7 @@
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k
+	dh_prep
 	dh_installdirs
 
 	mkdir -p debian/tmp/usr/bin
